Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaAwareResolveVisitor

- org.codehaus.groovy.tools.javac.JavaAwareResolveVisitor

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ResolveVisitor` | `DEFAULT_IMPORTS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaAwareResolveVisitor (CompilationUnit cu)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addError(String msg, ASTNode expr)`
    `` | `protected void` | `visitClassCodeContainer(Statement code)`
    `` | `void` | `visitConstructor(ConstructorNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ResolveVisitor` | `ResolveVisitor, getSourceUnit, setClassNodeResolver, startResolving, transform, transformAnnotationConstantExpression, transformBinaryExpression, transformClosureExpression, transformConstructorCallExpression, transformDeclarationExpression, transformMethodCallExpression, transformPropertyExpression, transformVariableExpression, visitAnnotations, visitBlockStatement, visitCatchStatement, visitClass, visitConstructorOrMethod, visitField, visitForLoop, visitProperty`
    `class ClassCodeExpressionTransformer` | `transform, visitField, visitReturnStatement, visitProperty, visitThrowStatement, visitCaseStatement, visitExpressionStatement, visitSynchronizedStatement, visitAssertStatement, visitSwitch, visitWhileLoop, visitForLoop, visitIfElse, visitDoWhileLoop, visitAnnotations, visitMethod, visitPackage, visitConstructor, visitClass, visitBreakStatement, visitContinueStatement, visitBlockStatement, visitTryCatchFinally, visitCatchStatement, visitDeclarationExpression, visitImports, visitConstantExpression, visitPropertyExpression, visitListExpression, visitClassExpression, visitArgumentlistExpression, visitClosureExpression, visitMethodCallExpression, visitTupleExpression, visitVariableExpression, visitPrefixExpression, visitShortTernaryExpression, visitRangeExpression, visitCastExpression, visitStaticMethodCallExpression, visitSpreadExpression, visitUnaryPlusExpression, visitGStringExpression, visitClosureListExpression, visitFieldExpression, visitBinaryExpression, visitMapEntryExpression, visitConstructorCallExpression, visitPostfixExpression, visitBooleanExpression, visitArrayExpression, visitNotExpression, visitTernaryExpression, visitUnaryMinusExpression, visitAttributeExpression, visitMapExpression, visitMethodPointerExpression, visitBitwiseNegationExpression, visitSpreadMapExpression, visitBytecodeExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public JavaAwareResolveVisitor(CompilationUnit cu)

  - ### Method Detail

    - #### protected void addError(String msg, ASTNode expr)

    - #### protected void visitClassCodeContainer(Statement code)

    - #### @Override public void visitConstructor(ConstructorNode node)